<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><title>R: Compare Distance Displayed in Ordination Diagram with Distances of Distance Matrix</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="stylesheet" type="text/css" href="../../R.css">
</head><body>

<table width="100%" summary="page for distdisplayed {BiodiversityR}"><tr><td>distdisplayed {BiodiversityR}</td><td align="right">R Documentation</td></tr></table>
<h2>Compare Distance Displayed in Ordination Diagram with Distances of Distance Matrix</h2>


<h3>Description</h3>

<p>
This function compares the distance among sites as displayed in an ordination diagram (generated by <code><a href="../../vegan/html/ordiplot.html">ordiplot</a></code>) with the actual distances among sites as available from a distance matrix (as generated by <code><a href="../../vegan/html/vegdist.html">vegdist</a></code>).
</p>


<h3>Usage</h3>

<pre>
distdisplayed(x, ordiplot, distx = "bray", plotit = T, addit = F, 
    method = "spearman", permutations = 100, abline = F, gam = T, ...) 
</pre>


<h3>Arguments</h3>

<table summary="R argblock">
<tr valign="top"><td><code>x</code></td>
<td>
Community data frame (with sites as rows, species as columns and species abundance as cell values) or distance matrix. </td></tr>
<tr valign="top"><td><code>ordiplot</code></td>
<td>
Ordination diagram generated by <code><a href="../../vegan/html/ordiplot.html">ordiplot</a></code> or distance matrix. </td></tr>
<tr valign="top"><td><code>distx</code></td>
<td>
Ecological distance used to calculated the distance matrix (theoretically the same distance as displayed in the ordination diagram); passed to <code><a href="../../vegan/html/vegdist.html">vegdist</a></code> and partial match to "manhattan", "euclidean", "canberra", "bray", "kulczynski", "jaccard", "gower", "morisita", "horn", "mountford", "raup" , "binomial" or "chao". This argument is ignored in case that "x" is already a distance matrix. </td></tr>
<tr valign="top"><td><code>plotit</code></td>
<td>
Should a plot comparing the distance in ordination diagram (or the distance matrix) with the distance from the distance matrix be generated (or not). </td></tr>
<tr valign="top"><td><code>addit</code></td>
<td>
Should the GAM regression result be added to an existing plot (or not). </td></tr>
<tr valign="top"><td><code>method</code></td>
<td>
Method for calculating the correlation between the ordination distance and the complete distance; from function <code><a href="../../vegan/html/mantel.html">mantel</a></code> passed to function <code><a href="../../stats/html/cor.html">cor</a></code>: "pearson", "spearman" or "kendall". </td></tr>
<tr valign="top"><td><code>permutations</code></td>
<td>
Number of permutations to assess the significance of the Mantel test; passed to <code><a href="../../vegan/html/mantel.html">mantel</a></code>. </td></tr>
<tr valign="top"><td><code>abline</code></td>
<td>
Should a reference line (y=x) be added to the graph (or not). </td></tr>
<tr valign="top"><td><code>gam</code></td>
<td>
Evaluate the correspondence between the original distance and the distance from the ordination diagram with GAMas estimated by <code><a href="../../mgcv/html/gam.html">gam</a></code>. </td></tr>
<tr valign="top"><td><code>...</code></td>
<td>
Other arguments passed to <code><a href="../../vegan/html/mantel.html">mantel</a></code>. </td></tr>
</table>

<h3>Details</h3>

<p>
This function compares the Euclidean distances (between sites) displayed in an ordination diagram with the distances of a distance matrix. Alternatively, the distances of one distance matrix are compared against the distances of another distance matrix.
</p>
<p>
These distances are compared by a Mantel test (<code><a href="../../vegan/html/mantel.html">mantel</a></code>) and (optionally) a GAM regression (<code><a href="../../mgcv/html/gam.html">gam</a></code>). Optionally, a graph is provided compairing the distances and adding GAM results.
.
</p>


<h3>Value</h3>

<p>
The function returns the results of a Mantel test and (optionally) the results of a GAM analysis.</p>

<h3>Author(s)</h3>

<p>
Roeland Kindt (World Agroforestry Centre)
</p>


<h3>References</h3>

<p>
Kindt, R. &amp; Coe, R. (2005)
Tree diversity analysis: A manual and
software for common statistical methods for ecological and
biodiversity studies.
</p>
<p>
<a href="http://www.worldagroforestry.org/treesandmarkets/tree_diversity_analysis.asp">http://www.worldagroforestry.org/treesandmarkets/tree_diversity_analysis.asp</a>
</p>


<h3>Examples</h3>

<pre>
library(vegan)
library(mgcv)
data(dune)
distmatrix &lt;- vegdist(dune,method="kulc")
ordination.model1 &lt;- cmdscale(distmatrix,k=2)
ordiplot1 &lt;- ordiplot(ordination.model1)
distdisplayed(dune,ordiplot=ordiplot1,distx="kulc",plotit=TRUE,
    method="spearman",permutations=100,gam=TRUE)
</pre>



<hr><div align="center">[Package <em>BiodiversityR</em> version 1.0 <a href="00Index.html">Index]</a></div>

</body></html>
